a- Structured programming is easy to understand. If we do not know structured programmin', we cannot larn OOP.
b- Definition of the context of the system, designin' system architecture,  construction of design models, identification of the objects in the system, specification of object interfaces.
c- Information.
d- Person can increase or decrease volume or radio.
